Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 605329 - Review Request: gnome-desktop3 - Shared code among gnome-panel, gnome-session, nautilus, etc
Review Request: gnome-desktop3 - Shared code among gnome-panel, gnome-session...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-17 12:24 EDT by Richard Hughes
Modified: 2010-06-21 04:17 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-21 04:17:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mclasen: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard Hughes 2010-06-17 12:24:37 EDT
Spec URL: http://people.freedesktop.org/~hughsient/temp/gnome-desktop3.spec
SRPM URL: http://people.freedesktop.org/~hughsient/temp/gnome-desktop3-2.90.1-1.fc14.src.rpm
Description: This is the gtk3 version of gnome-desktop. It's needed pretty quickly, as a lot of the GTK3-using applications will be released tomorrow (!) and we don't want to cause mass breakage.

[hughsie@hughsie-t61 SPECS]$ rpmlint /home/hughsie/rpmbuild/*RPMS/gnome-desktop3*
gnome-desktop3.i686: W: spelling-error %description -l en_US libgnomedesktop -> desktop
gnome-desktop3-devel.i686: W: spelling-error %description -l en_US libgnomedesktop -> desktop
gnome-desktop3.src: W: spelling-error %description -l en_US libgnomedesktop -> desktop
gnome-desktop3.src:95: W: macro-in-comment %{_datadir}
gnome-desktop3.src:96: W: macro-in-comment %{_datadir}
gnome-desktop3.src:101: W: macro-in-comment %{_bindir}
gnome-desktop3.src: W: no-cleaning-of-buildroot %clean
gnome-desktop3.src: W: no-buildroot-tag
gnome-desktop3.src: W: no-%clean-section
4 packages and 0 specfiles checked; 0 errors, 9 warnings.
Comment 1 Randall "Randy" Berry 2010-06-17 22:36:01 EDT
3 spelling warnings can be safely ignored.

The following warnings must be fixed:

gnome-desktop3.src:95: W: macro-in-comment %{_datadir}
gnome-desktop3.src:96: W: macro-in-comment %{_datadir}
gnome-desktop3.src:101: W: macro-in-comment %{_bindir}
gnome-desktop3.src: W: no-cleaning-of-buildroot %clean
gnome-desktop3.src: W: no-buildroot-tag
gnome-desktop3.src: W: no-%clean-section

Remove or escape macro-in-comment in %files section. (Remove macros or use
%%{_macro} to escape.)

Add as first 2 lines in %install section:

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT

Add after %install section:

%clean
rm -rf $RPM_BUILD_ROOT
Comment 2 Matthias Clasen 2010-06-17 22:40:16 EDT
builds fine in mock, rpmlint output as above; no serious issues

package name: we follow the same pattern as glib/glib2, gtk+/gtk2/gtk3 here to ensure parallel installability with gnome-desktop, so OK
spec file name: OK
packaging guidelines: OK
license: OK
license field: OK
license file: OK
spec file language: OK
spec file readable: OK
upstream sources: OK
buildable: OK
ExcludeArch: OK
BuildRequires: OK
locale handling: OK
ldconfig: OK
system libs: OK
relocatable: OK
directory ownership: OK
duplicate files: OK
file permissions: OK
macro use: OK
permissible content: OK
large docs: OK
%doc content: OK
headers: OK
static libs: OK
shared libs: OK
devel deps: OK
libtool archives: OK
GUI apps: OK
file ownership: OK
utf8 filenames: OK

Approved
Comment 3 Richard Hughes 2010-06-18 04:29:23 EDT
New Package CVS Request
=======================
Package Name: gnome-desktop3
Short Description: Shared code among gnome-panel, gnome-session, nautilus, etc
Owners: rhughes
Branches: 
InitialCC: rhughes
Comment 4 Kevin Fenzi 2010-06-20 22:26:17 EDT
CVS done (by process-cvs-requests.py).
Comment 5 Richard Hughes 2010-06-21 04:17:14 EDT
Thanks guys!

Note You need to log in before you can comment on or make changes to this bug.